gRPC C#
gRPC C#
Namespaces
Grpc.Core
Metadata.Entry Structure
Entry Constructor
Entry Properties
Entry Methods

Metadata Entry Structure

Metadata entry

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public struct Entry

    Public Structure Entry

    public value class Entry

    [<SealedAttribute>]
    type Entry =  struct end

The Metadata
Entry type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Metadata Entry(String, Byte ) | Initializes a new instance of the Metadata Entry struct with a binary value.
| Metadata Entry(String, String) | Initializes a new instance of the Metadata Entry struct holding an ASCII value.

Top
Properties

| Name | Description
--- | --- | ---
| IsBinary | Returns true if this entry is a binary-value entry.
| Key | Gets the metadata entry key.
| Value | Gets the string value of this metadata entry.
| ValueBytes | Gets the binary value of this metadata entry.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
| GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Metadata Entry. (Overrides ValueType ToString .)

Top
See Also

#### Reference

Grpc.Core Namespace